import request from '@/utils/request'

// 创建批次信息
export function createXyrw(data) {
  return request({
    url: '/system/xyrw/create',
    method: 'post',
    data: data
  })
}

// 更新批次信息
export function updateXyrw(data) {
  return request({
    url: '/system/xyrw/update',
    method: 'put',
    data: data
  })
}

// 删除批次信息
export function deleteXyrw(id) {
  return request({
    url: '/system/xyrw/delete?id=' + id,
    method: 'delete'
  })
}

// 获得批次信息
export function getXyrw(id) {
  return request({
    url: '/system/xyrw/get?id=' + id,
    method: 'get'
  })
}

// 获得批次信息分页
export function getXyrwPage(query) {
  return request({
    url: '/system/xyrw/page',
    method: 'get',
    params: query
  })
}

// 导出批次信息 Excel
export function exportXyrwExcel(query) {
  return request({
    url: '/system/xyrw/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
